<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LFeatureGroupTemplate StructType
 * @subpackage Structs
 */
class LFeatureGroupTemplate extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The homeCluster
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $homeCluster;
    /**
     * The imAndUcPresenceEnable
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $imAndUcPresenceEnable;
    /**
     * The serviceProfile
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $serviceProfile;
    /**
     * The allowCTIControl
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $allowCTIControl;
    /**
     * The enableEMCC
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enableEMCC;
    /**
     * The enableMobility
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enableMobility;
    /**
     * The enableMobileVoiceAccess
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enableMobileVoiceAccess;
    /**
     * The maxDeskPickupWait
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $maxDeskPickupWait;
    /**
     * The remoteDestinationLimit
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $remoteDestinationLimit;
    /**
     * The BLFPresenceGp
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $BLFPresenceGp;
    /**
     * The subscribeCallingSearch
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $subscribeCallingSearch;
    /**
     * The userLocale
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userLocale;
    /**
     * The userProfile
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $userProfile;
    /**
     * The meetingInformation
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $meetingInformation;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LFeatureGroupTemplate
     * @uses LFeatureGroupTemplate::setName()
     * @uses LFeatureGroupTemplate::setDescription()
     * @uses LFeatureGroupTemplate::setHomeCluster()
     * @uses LFeatureGroupTemplate::setImAndUcPresenceEnable()
     * @uses LFeatureGroupTemplate::setServiceProfile()
     * @uses LFeatureGroupTemplate::setAllowCTIControl()
     * @uses LFeatureGroupTemplate::setEnableEMCC()
     * @uses LFeatureGroupTemplate::setEnableMobility()
     * @uses LFeatureGroupTemplate::setEnableMobileVoiceAccess()
     * @uses LFeatureGroupTemplate::setMaxDeskPickupWait()
     * @uses LFeatureGroupTemplate::setRemoteDestinationLimit()
     * @uses LFeatureGroupTemplate::setBLFPresenceGp()
     * @uses LFeatureGroupTemplate::setSubscribeCallingSearch()
     * @uses LFeatureGroupTemplate::setUserLocale()
     * @uses LFeatureGroupTemplate::setUserProfile()
     * @uses LFeatureGroupTemplate::setMeetingInformation()
     * @uses LFeatureGroupTemplate::setUuid()
     * @param string $name
     * @param string $description
     * @param string $homeCluster
     * @param string $imAndUcPresenceEnable
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $serviceProfile
     * @param string $allowCTIControl
     * @param string $enableEMCC
     * @param string $enableMobility
     * @param string $enableMobileVoiceAccess
     * @param string $maxDeskPickupWait
     * @param string $remoteDestinationLimit
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $bLFPresenceGp
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $subscribeCallingSearch
     * @param string $userLocale
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $userProfile
     * @param string $meetingInformation
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $homeCluster = null, $imAndUcPresenceEnable = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $serviceProfile = null, $allowCTIControl = null, $enableEMCC = null, $enableMobility = null, $enableMobileVoiceAccess = null, $maxDeskPickupWait = null, $remoteDestinationLimit = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $bLFPresenceGp = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $subscribeCallingSearch = null, $userLocale = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $userProfile = null, $meetingInformation = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setHomeCluster($homeCluster)
            ->setImAndUcPresenceEnable($imAndUcPresenceEnable)
            ->setServiceProfile($serviceProfile)
            ->setAllowCTIControl($allowCTIControl)
            ->setEnableEMCC($enableEMCC)
            ->setEnableMobility($enableMobility)
            ->setEnableMobileVoiceAccess($enableMobileVoiceAccess)
            ->setMaxDeskPickupWait($maxDeskPickupWait)
            ->setRemoteDestinationLimit($remoteDestinationLimit)
            ->setBLFPresenceGp($bLFPresenceGp)
            ->setSubscribeCallingSearch($subscribeCallingSearch)
            ->setUserLocale($userLocale)
            ->setUserProfile($userProfile)
            ->setMeetingInformation($meetingInformation)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get homeCluster value
     * @return string|null
     */
    public function getHomeCluster()
    {
        return $this->homeCluster;
    }
    /**
     * Set homeCluster value
     * @param string $homeCluster
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setHomeCluster($homeCluster = null)
    {
        $this->homeCluster = $homeCluster;
        return $this;
    }
    /**
     * Get imAndUcPresenceEnable value
     * @return string|null
     */
    public function getImAndUcPresenceEnable()
    {
        return $this->imAndUcPresenceEnable;
    }
    /**
     * Set imAndUcPresenceEnable value
     * @param string $imAndUcPresenceEnable
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setImAndUcPresenceEnable($imAndUcPresenceEnable = null)
    {
        $this->imAndUcPresenceEnable = $imAndUcPresenceEnable;
        return $this;
    }
    /**
     * Get serviceProfile value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getServiceProfile()
    {
        return $this->serviceProfile;
    }
    /**
     * Set serviceProfile value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $serviceProfile
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setServiceProfile(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $serviceProfile = null)
    {
        $this->serviceProfile = $serviceProfile;
        return $this;
    }
    /**
     * Get allowCTIControl value
     * @return string|null
     */
    public function getAllowCTIControl()
    {
        return $this->allowCTIControl;
    }
    /**
     * Set allowCTIControl value
     * @param string $allowCTIControl
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setAllowCTIControl($allowCTIControl = null)
    {
        $this->allowCTIControl = $allowCTIControl;
        return $this;
    }
    /**
     * Get enableEMCC value
     * @return string|null
     */
    public function getEnableEMCC()
    {
        return $this->enableEMCC;
    }
    /**
     * Set enableEMCC value
     * @param string $enableEMCC
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setEnableEMCC($enableEMCC = null)
    {
        $this->enableEMCC = $enableEMCC;
        return $this;
    }
    /**
     * Get enableMobility value
     * @return string|null
     */
    public function getEnableMobility()
    {
        return $this->enableMobility;
    }
    /**
     * Set enableMobility value
     * @param string $enableMobility
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setEnableMobility($enableMobility = null)
    {
        $this->enableMobility = $enableMobility;
        return $this;
    }
    /**
     * Get enableMobileVoiceAccess value
     * @return string|null
     */
    public function getEnableMobileVoiceAccess()
    {
        return $this->enableMobileVoiceAccess;
    }
    /**
     * Set enableMobileVoiceAccess value
     * @param string $enableMobileVoiceAccess
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setEnableMobileVoiceAccess($enableMobileVoiceAccess = null)
    {
        $this->enableMobileVoiceAccess = $enableMobileVoiceAccess;
        return $this;
    }
    /**
     * Get maxDeskPickupWait value
     * @return string|null
     */
    public function getMaxDeskPickupWait()
    {
        return $this->maxDeskPickupWait;
    }
    /**
     * Set maxDeskPickupWait value
     * @param string $maxDeskPickupWait
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setMaxDeskPickupWait($maxDeskPickupWait = null)
    {
        $this->maxDeskPickupWait = $maxDeskPickupWait;
        return $this;
    }
    /**
     * Get remoteDestinationLimit value
     * @return string|null
     */
    public function getRemoteDestinationLimit()
    {
        return $this->remoteDestinationLimit;
    }
    /**
     * Set remoteDestinationLimit value
     * @param string $remoteDestinationLimit
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setRemoteDestinationLimit($remoteDestinationLimit = null)
    {
        $this->remoteDestinationLimit = $remoteDestinationLimit;
        return $this;
    }
    /**
     * Get BLFPresenceGp value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getBLFPresenceGp()
    {
        return $this->BLFPresenceGp;
    }
    /**
     * Set BLFPresenceGp value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $bLFPresenceGp
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setBLFPresenceGp(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $bLFPresenceGp = null)
    {
        $this->BLFPresenceGp = $bLFPresenceGp;
        return $this;
    }
    /**
     * Get subscribeCallingSearch value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getSubscribeCallingSearch()
    {
        return $this->subscribeCallingSearch;
    }
    /**
     * Set subscribeCallingSearch value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $subscribeCallingSearch
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setSubscribeCallingSearch(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $subscribeCallingSearch = null)
    {
        $this->subscribeCallingSearch = $subscribeCallingSearch;
        return $this;
    }
    /**
     * Get userLocale value
     * @return string|null
     */
    public function getUserLocale()
    {
        return $this->userLocale;
    }
    /**
     * Set userLocale value
     * @param string $userLocale
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setUserLocale($userLocale = null)
    {
        $this->userLocale = $userLocale;
        return $this;
    }
    /**
     * Get userProfile value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getUserProfile()
    {
        return $this->userProfile;
    }
    /**
     * Set userProfile value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $userProfile
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setUserProfile(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $userProfile = null)
    {
        $this->userProfile = $userProfile;
        return $this;
    }
    /**
     * Get meetingInformation value
     * @return string|null
     */
    public function getMeetingInformation()
    {
        return $this->meetingInformation;
    }
    /**
     * Set meetingInformation value
     * @param string $meetingInformation
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setMeetingInformation($meetingInformation = null)
    {
        $this->meetingInformation = $meetingInformation;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LFeatureGroupTemplate
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
